Loading...
Searching...
No Matches
VmaVirtualAllocationInfo Struct Reference
Virtual allocator

Parameters of an existing virtual allocation, returned by vmaGetVirtualAllocationInfo(). More...

## Public Attributes

VkDeviceSize | offset
| Offset of the allocation.
VkDeviceSize | size
| Size of the allocation.
void * | pUserData
| Custom pointer associated with the allocation.

## Detailed Description

Parameters of an existing virtual allocation, returned by vmaGetVirtualAllocationInfo().

## Member Data Documentation

## offset

VkDeviceSize VmaVirtualAllocationInfo::offset

Offset of the allocation.

Offset at which the allocation was made.

## pUserData

void* VmaVirtualAllocationInfo::pUserData

Custom pointer associated with the allocation.

Same value as passed in VmaVirtualAllocationCreateInfo::pUserData or to vmaSetVirtualAllocationUserData().

## size

VkDeviceSize VmaVirtualAllocationInfo::size

Size of the allocation.

Same value as passed in VmaVirtualAllocationCreateInfo::size.

The documentation for this struct was generated from the following file:

- vk_mem_alloc.h